package com.ho.business.mapper;

import com.ho.business.entity.*;
import com.ho.business.vo.resp.planningCurve.PlanningIssueVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface PlanningCurveIssueMapper {

    public List<Map<String,Object>> getIssueDevices(PlanningIssueDevice issueDevice);

    public List<Map<String,Object>> getTemplate(PlanningIssueDevice issueDevice);

    public List<PlanningIssueComm> getIssueComms(PlanningIssueVo vo);

    public Device getDeviceById(PlanningIssueVo vo);

    public List<PlanningCurve> getCurveDetail(Integer temId);

    public int insertIssueStatus(PlanningIssueDevice issueDevice);

    public PlanningIssueDevice queryIssueStatus(PlanningIssueDevice issueDevice);

    public int deleteIssueStatus(PlanningIssueDevice issueDevice);

    public PlanningCurveTemplate queryCurrentIssue(PlanningIssueDevice issueDevice);

    int chechTemplateExists(Integer temId);

    void planCurveOperationRecord(@Param("condition") PlanCurveOperationRecordReq planCurveOperationRecordReq);

    void addPlanningCurveHistory(@Param("condition") List<PlanningCurveHistory> PlanningCurveHistory);

    List<PlanCurveOperationRecordReq> getPlanCurveOperationList(@Param("stationId") String stationId,@Param("lang") String lang);

    List<PlanningCurveHistory> getPlanningCurveHistory(@Param("planningCurveId") String planningCurveId);

}
